CustomerCreditTransferInitiationV03
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class CustomerCreditTransferInitiationV03

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.CustomerCreditTransferInitiationV03

-     public class CustomerCreditTransferInitiationV03
      extends java.lang.Object

  Java class for CustomerCreditTransferInitiationV03 complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CustomerCreditTransferInitiationV03">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}GroupHeaderSCT"/>
               <element name="PmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}PaymentInstructionInformationSCT" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GroupHeaderSCT` | `grpHdr`
    `protected java.util.List<PaymentInstructionInformationSCT>` | `pmtInf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCreditTransferInitiationV03()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupHeaderSCT` | `getGrpHdr()` Gets the value of the grpHdr property.
    `java.util.List<PaymentInstructionInformationSCT>` | `getPmtInf()` Gets the value of the pmtInf property.
    `void` | `setGrpHdr(GroupHeaderSCT value)` Sets the value of the grpHdr property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### grpHdr

          protected GroupHeaderSCT grpHdr

    - #### pmtInf

          protected java.util.List<PaymentInstructionInformationSCT> pmtInf

  - ### Constructor Detail

    - #### CustomerCreditTransferInitiationV03

          public CustomerCreditTransferInitiationV03()

  - ### Method Detail

    - #### getGrpHdr

          public GroupHeaderSCT getGrpHdr()

      Gets the value of the grpHdr property.
      Returns:
        possible object is `GroupHeaderSCT`

    - #### setGrpHdr

          public void setGrpHdr(GroupHeaderSCT value)

      Sets the value of the grpHdr property.
      Parameters:
        `value` - allowed object is `GroupHeaderSCT`

    - #### getPmtInf

          public java.util.List<PaymentInstructionInformationSCT> getPmtInf()

      Gets the value of the pmtInf property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pmtInf property.

      For example, to add a new item, do as follows:

              getPmtInf().add(newItem);

      Objects of the following type(s) are allowed in the list `PaymentInstructionInformationSCT`